<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php
$provider_id = $order->get_meta('_vp_woo_pont_provider');
$providers = VP_Woo_Pont_Helpers::get_supported_providers();
$provider_name = $providers[$provider_id];
$has_label = $order->get_meta( '_vp_woo_pont_parcel_pdf' );
$pending = $order->get_meta('_vp_woo_pont_parcel_pending');
?>

<?php if(!in_array($provider_id, $this->supported_providers)): //TODO: check for api keys for labels ?>
	<p class="vp-woo-pont-metabox-unsupported">A kiválasztott szolgáltatóhoz(<?php echo esc_html($provider_name); ?>) jelenleg nem érhető el a címkenyomtatás funkció. Ha van szerződésed az adott szolgáltatóval, lépj kapcsolatba velem a <a href="mailto:support@visztpeter.me">support@visztpeter.me</a> címen és a Te fiókod segítségével be tudom integrálni a bővítménybe ezt a funkciót is.</p>
<?php endif; ?>

	<div class="vp-woo-pont-metabox-content" data-order="<?php echo $order->get_id(); ?>" data-nonce="<?php echo wp_create_nonce( "vp_woo_pont_manage" ); ?>">
		<div class="vp-woo-pont-metabox-messages vp-woo-pont-metabox-messages-success" style="display:none;">
			<div class="vp-woo-pont-metabox-messages-content">
				<ul></ul>
				<a href="#"><span class="dashicons dashicons-no-alt"></span></a>
			</div>
		</div>

		<ul class="vp-woo-pont-metabox-rows">
			<li class="vp-woo-pont-metabox-rows-data vp-woo-pont-metabox-rows-data-provider show">
				<div class="vp-woo-pont-metabox-rows-data-inside">
					<i class="vp-woo-pont-provider-icon-<?php echo esc_attr($provider_id); ?>"></i>
					<strong><?php echo $provider_name; ?></strong>
					<span><?php echo $order->get_meta('_vp_woo_pont_point_name'); ?></span>
				</div>
			</li>
			<li class="vp-woo-pont-metabox-rows-data vp-woo-pont-metabox-rows-data-remove <?php if(!$has_label && !$pending): ?>show<?php endif; ?>">
				<div class="vp-woo-pont-metabox-rows-data-inside">
					<a href="#" data-trigger-value="<?php esc_attr_e('Remove selected point','vp-woo-pont'); ?>" data-question="<?php echo esc_attr_x('Are you sure?', 'Delete point', 'vp-woo-pont'); ?>" class="delete"><?php esc_html_e('Remove selected point','vp-woo-pont'); ?></a>
				</div>
			</li>
			<li class="vp-woo-pont-metabox-rows-data vp-woo-pont-metabox-rows-data-replace <?php if(!$has_label && !$pending): ?>show<?php endif; ?>">
				<div class="vp-woo-pont-metabox-rows-data-inside">
					<a href="#"><?php esc_html_e('Replace selected point','vp-woo-pont'); ?></a>
				</div>
			</li>

			<?php if(VP_Woo_Pont_Helpers::is_pro_enabled() && in_array($provider_id, $this->supported_providers)): ?>
				<li class="vp-woo-pont-metabox-rows-link vp-woo-pont-metabox-rows-link-pdf <?php if($has_label || $pending): ?>show<?php endif; ?> <?php if($pending): ?>pending<?php endif; ?>">
					<a target="_blank" href="<?php echo $this->generate_download_link($order); ?>">
						<span><?php esc_html_e('Shipping label', 'vp-woo-pont'); ?></span>
						<strong><?php echo esc_html($order->get_meta('_vp_woo_pont_parcel_id')); ?></strong>
					</a>
					<small class="pending-download"><?php _e('The PDF is being downloaded', 'vp-woo-pont'); ?><i>.</i><i>.</i><i>.</i></small>
				</li>
				<li class="vp-woo-pont-metabox-rows-data vp-woo-pont-metabox-rows-link-tracking <?php if($has_label): ?>show<?php endif; ?>">
					<div class="vp-woo-pont-metabox-rows-data-inside">
						<span><?php esc_html_e('Tracking number', 'vp-woo-pont'); ?></span>
						<strong><a href="<?php echo $this->get_tracking_link($order); ?>" target="_blank"><?php echo esc_html($order->get_meta('_vp_woo_pont_parcel_number')); ?></a></strong>
					</div>
				</li>
				<li class="vp-woo-pont-metabox-rows-data vp-woo-pont-metabox-rows-data-void <?php if($has_label): ?>show<?php endif; ?>">
					<div class="vp-woo-pont-metabox-rows-data-inside">
						<a href="#" data-trigger-value="<?php esc_attr_e('Delete label','vp-woo-pont'); ?>" data-question="<?php echo esc_attr_x('Are you sure?', 'Delete label', 'vp-woo-pont'); ?>" class="delete"><?php esc_html_e('Delete label','vp-woo-pont'); ?></a>
					</div>
				</li>
			<?php endif; ?>
		</ul>
		<?php if(VP_Woo_Pont_Helpers::is_pro_enabled() && in_array($provider_id, $this->supported_providers) && !$pending): ?>
		<div class="vp-woo-pont-metabox-generate <?php if(!$has_label): ?>show<?php endif; ?>">
			<div class="vp-woo-pont-metabox-generate-buttons">
				<a href="#" id="vp_woo_pont_label_generate" class="button button-primary" target="_blank" data-question="<?php echo esc_attr_x('Are you sure?', 'Generate label', 'vp-woo-pont'); ?>">
					<?php esc_html_e('Generate label', 'vp-woo-pont'); ?>
				</a>
			</div>
		</div>
		<?php endif; ?>
	</div>


<?php include( dirname( __FILE__ ) . '/html-modal-replace-point.php' ); ?>
